// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-dtos.proto

package com.accelfin.server.messaging.dtos;

/**
 * Protobuf type {@code com.accelfin.server.messaging.dtos.OperationConfigDto}
 */
public  final class OperationConfigDto extends
    com.google.protobuf.GeneratedMessage implements
    // @@protoc_insertion_point(message_implements:com.accelfin.server.messaging.dtos.OperationConfigDto)
    OperationConfigDtoOrBuilder {
  // Use OperationConfigDto.newBuilder() to construct.
  private OperationConfigDto(com.google.protobuf.GeneratedMessage.Builder<?> builder) {
    super(builder);
  }
  private OperationConfigDto() {
    serviceType_ = "";
    operationName_ = "";
    serviceId_ = "";
    requiresAuthentication_ = false;
    requestExchangeName_ = "";
    requestRoutingKey_ = "";
    responseExchangeName_ = "";
    responseRoutingKey_ = "";
    operationType_ = 0;
    isAvailable_ = false;
  }

  @java.lang.Override
  public final com.google.protobuf.UnknownFieldSet
  getUnknownFields() {
    return com.google.protobuf.UnknownFieldSet.getDefaultInstance();
  }
  private OperationConfigDto(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    this();
    int mutable_bitField0_ = 0;
    try {
      boolean done = false;
      while (!done) {
        int tag = input.readTag();
        switch (tag) {
          case 0:
            done = true;
            break;
          default: {
            if (!input.skipField(tag)) {
              done = true;
            }
            break;
          }
          case 10: {
            java.lang.String s = input.readStringRequireUtf8();

            serviceType_ = s;
            break;
          }
          case 18: {
            java.lang.String s = input.readStringRequireUtf8();

            operationName_ = s;
            break;
          }
          case 26: {
            java.lang.String s = input.readStringRequireUtf8();

            serviceId_ = s;
            break;
          }
          case 32: {

            requiresAuthentication_ = input.readBool();
            break;
          }
          case 42: {
            java.lang.String s = input.readStringRequireUtf8();

            requestExchangeName_ = s;
            break;
          }
          case 50: {
            java.lang.String s = input.readStringRequireUtf8();

            requestRoutingKey_ = s;
            break;
          }
          case 58: {
            java.lang.String s = input.readStringRequireUtf8();

            responseExchangeName_ = s;
            break;
          }
          case 66: {
            java.lang.String s = input.readStringRequireUtf8();

            responseRoutingKey_ = s;
            break;
          }
          case 72: {
            int rawValue = input.readEnum();

            operationType_ = rawValue;
            break;
          }
          case 80: {

            isAvailable_ = input.readBool();
            break;
          }
        }
      }
    } catch (com.google.protobuf.InvalidProtocolBufferException e) {
      throw e.setUnfinishedMessage(this);
    } catch (java.io.IOException e) {
      throw new com.google.protobuf.InvalidProtocolBufferException(
          e).setUnfinishedMessage(this);
    } finally {
      makeExtensionsImmutable();
    }
  }
  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return com.accelfin.server.messaging.dtos.AccelfinServerDtos.internal_static_com_accelfin_server_messaging_dtos_OperationConfigDto_descriptor;
  }

  protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return com.accelfin.server.messaging.dtos.AccelfinServerDtos.internal_static_com_accelfin_server_messaging_dtos_OperationConfigDto_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            com.accelfin.server.messaging.dtos.OperationConfigDto.class, com.accelfin.server.messaging.dtos.OperationConfigDto.Builder.class);
  }

  public static final int SERVICE_TYPE_FIELD_NUMBER = 1;
  private volatile java.lang.Object serviceType_;
  /**
   * <code>optional string service_type = 1;</code>
   */
  public java.lang.String getServiceType() {
    java.lang.Object ref = serviceType_;
    if (ref instanceof java.lang.String) {
      return (java.lang.String) ref;
    } else {
      com.google.protobuf.ByteString bs = 
          (com.google.protobuf.ByteString) ref;
      java.lang.String s = bs.toStringUtf8();
      serviceType_ = s;
      return s;
    }
  }
  /**
   * <code>optional string service_type = 1;</code>
   */
  public com.google.protobuf.ByteString
      getServiceTypeBytes() {
    java.lang.Object ref = serviceType_;
    if (ref instanceof java.lang.String) {
      com.google.protobuf.ByteString b = 
          com.google.protobuf.ByteString.copyFromUtf8(
              (java.lang.String) ref);
      serviceType_ = b;
      return b;
    } else {
      return (com.google.protobuf.ByteString) ref;
    }
  }

  public static final int OPERATION_NAME_FIELD_NUMBER = 2;
  private volatile java.lang.Object operationName_;
  /**
   * <code>optional string operation_name = 2;</code>
   */
  public java.lang.String getOperationName() {
    java.lang.Object ref = operationName_;
    if (ref instanceof java.lang.String) {
      return (java.lang.String) ref;
    } else {
      com.google.protobuf.ByteString bs = 
          (com.google.protobuf.ByteString) ref;
      java.lang.String s = bs.toStringUtf8();
      operationName_ = s;
      return s;
    }
  }
  /**
   * <code>optional string operation_name = 2;</code>
   */
  public com.google.protobuf.ByteString
      getOperationNameBytes() {
    java.lang.Object ref = operationName_;
    if (ref instanceof java.lang.String) {
      com.google.protobuf.ByteString b = 
          com.google.protobuf.ByteString.copyFromUtf8(
              (java.lang.String) ref);
      operationName_ = b;
      return b;
    } else {
      return (com.google.protobuf.ByteString) ref;
    }
  }

  public static final int SERVICE_ID_FIELD_NUMBER = 3;
  private volatile java.lang.Object serviceId_;
  /**
   * <code>optional string service_id = 3;</code>
   */
  public java.lang.String getServiceId() {
    java.lang.Object ref = serviceId_;
    if (ref instanceof java.lang.String) {
      return (java.lang.String) ref;
    } else {
      com.google.protobuf.ByteString bs = 
          (com.google.protobuf.ByteString) ref;
      java.lang.String s = bs.toStringUtf8();
      serviceId_ = s;
      return s;
    }
  }
  /**
   * <code>optional string service_id = 3;</code>
   */
  public com.google.protobuf.ByteString
      getServiceIdBytes() {
    java.lang.Object ref = serviceId_;
    if (ref instanceof java.lang.String) {
      com.google.protobuf.ByteString b = 
          com.google.protobuf.ByteString.copyFromUtf8(
              (java.lang.String) ref);
      serviceId_ = b;
      return b;
    } else {
      return (com.google.protobuf.ByteString) ref;
    }
  }

  public static final int REQUIRES_AUTHENTICATION_FIELD_NUMBER = 4;
  private boolean requiresAuthentication_;
  /**
   * <code>optional bool requires_authentication = 4;</code>
   */
  public boolean getRequiresAuthentication() {
    return requiresAuthentication_;
  }

  public static final int REQUEST_EXCHANGE_NAME_FIELD_NUMBER = 5;
  private volatile java.lang.Object requestExchangeName_;
  /**
   * <code>optional string request_exchange_name = 5;</code>
   */
  public java.lang.String getRequestExchangeName() {
    java.lang.Object ref = requestExchangeName_;
    if (ref instanceof java.lang.String) {
      return (java.lang.String) ref;
    } else {
      com.google.protobuf.ByteString bs = 
          (com.google.protobuf.ByteString) ref;
      java.lang.String s = bs.toStringUtf8();
      requestExchangeName_ = s;
      return s;
    }
  }
  /**
   * <code>optional string request_exchange_name = 5;</code>
   */
  public com.google.protobuf.ByteString
      getRequestExchangeNameBytes() {
    java.lang.Object ref = requestExchangeName_;
    if (ref instanceof java.lang.String) {
      com.google.protobuf.ByteString b = 
          com.google.protobuf.ByteString.copyFromUtf8(
              (java.lang.String) ref);
      requestExchangeName_ = b;
      return b;
    } else {
      return (com.google.protobuf.ByteString) ref;
    }
  }

  public static final int REQUEST_ROUTING_KEY_FIELD_NUMBER = 6;
  private volatile java.lang.Object requestRoutingKey_;
  /**
   * <code>optional string request_routing_key = 6;</code>
   */
  public java.lang.String getRequestRoutingKey() {
    java.lang.Object ref = requestRoutingKey_;
    if (ref instanceof java.lang.String) {
      return (java.lang.String) ref;
    } else {
      com.google.protobuf.ByteString bs = 
          (com.google.protobuf.ByteString) ref;
      java.lang.String s = bs.toStringUtf8();
      requestRoutingKey_ = s;
      return s;
    }
  }
  /**
   * <code>optional string request_routing_key = 6;</code>
   */
  public com.google.protobuf.ByteString
      getRequestRoutingKeyBytes() {
    java.lang.Object ref = requestRoutingKey_;
    if (ref instanceof java.lang.String) {
      com.google.protobuf.ByteString b = 
          com.google.protobuf.ByteString.copyFromUtf8(
              (java.lang.String) ref);
      requestRoutingKey_ = b;
      return b;
    } else {
      return (com.google.protobuf.ByteString) ref;
    }
  }

  public static final int RESPONSE_EXCHANGE_NAME_FIELD_NUMBER = 7;
  private volatile java.lang.Object responseExchangeName_;
  /**
   * <code>optional string response_exchange_name = 7;</code>
   */
  public java.lang.String getResponseExchangeName() {
    java.lang.Object ref = responseExchangeName_;
    if (ref instanceof java.lang.String) {
      return (java.lang.String) ref;
    } else {
      com.google.protobuf.ByteString bs = 
          (com.google.protobuf.ByteString) ref;
      java.lang.String s = bs.toStringUtf8();
      responseExchangeName_ = s;
      return s;
    }
  }
  /**
   * <code>optional string response_exchange_name = 7;</code>
   */
  public com.google.protobuf.ByteString
      getResponseExchangeNameBytes() {
    java.lang.Object ref = responseExchangeName_;
    if (ref instanceof java.lang.String) {
      com.google.protobuf.ByteString b = 
          com.google.protobuf.ByteString.copyFromUtf8(
              (java.lang.String) ref);
      responseExchangeName_ = b;
      return b;
    } else {
      return (com.google.protobuf.ByteString) ref;
    }
  }

  public static final int RESPONSE_ROUTING_KEY_FIELD_NUMBER = 8;
  private volatile java.lang.Object responseRoutingKey_;
  /**
   * <code>optional string response_routing_key = 8;</code>
   */
  public java.lang.String getResponseRoutingKey() {
    java.lang.Object ref = responseRoutingKey_;
    if (ref instanceof java.lang.String) {
      return (java.lang.String) ref;
    } else {
      com.google.protobuf.ByteString bs = 
          (com.google.protobuf.ByteString) ref;
      java.lang.String s = bs.toStringUtf8();
      responseRoutingKey_ = s;
      return s;
    }
  }
  /**
   * <code>optional string response_routing_key = 8;</code>
   */
  public com.google.protobuf.ByteString
      getResponseRoutingKeyBytes() {
    java.lang.Object ref = responseRoutingKey_;
    if (ref instanceof java.lang.String) {
      com.google.protobuf.ByteString b = 
          com.google.protobuf.ByteString.copyFromUtf8(
              (java.lang.String) ref);
      responseRoutingKey_ = b;
      return b;
    } else {
      return (com.google.protobuf.ByteString) ref;
    }
  }

  public static final int OPERATION_TYPE_FIELD_NUMBER = 9;
  private int operationType_;
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.OperationTypeDto operation_type = 9;</code>
   */
  public int getOperationTypeValue() {
    return operationType_;
  }
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.OperationTypeDto operation_type = 9;</code>
   */
  public com.accelfin.server.messaging.dtos.OperationTypeDto getOperationType() {
    com.accelfin.server.messaging.dtos.OperationTypeDto result = com.accelfin.server.messaging.dtos.OperationTypeDto.forNumber(operationType_);
    return result == null ? com.accelfin.server.messaging.dtos.OperationTypeDto.UNRECOGNIZED : result;
  }

  public static final int IS_AVAILABLE_FIELD_NUMBER = 10;
  private boolean isAvailable_;
  /**
   * <code>optional bool is_available = 10;</code>
   */
  public boolean getIsAvailable() {
    return isAvailable_;
  }

  private byte memoizedIsInitialized = -1;
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (!getServiceTypeBytes().isEmpty()) {
      com.google.protobuf.GeneratedMessage.writeString(output, 1, serviceType_);
    }
    if (!getOperationNameBytes().isEmpty()) {
      com.google.protobuf.GeneratedMessage.writeString(output, 2, operationName_);
    }
    if (!getServiceIdBytes().isEmpty()) {
      com.google.protobuf.GeneratedMessage.writeString(output, 3, serviceId_);
    }
    if (requiresAuthentication_ != false) {
      output.writeBool(4, requiresAuthentication_);
    }
    if (!getRequestExchangeNameBytes().isEmpty()) {
      com.google.protobuf.GeneratedMessage.writeString(output, 5, requestExchangeName_);
    }
    if (!getRequestRoutingKeyBytes().isEmpty()) {
      com.google.protobuf.GeneratedMessage.writeString(output, 6, requestRoutingKey_);
    }
    if (!getResponseExchangeNameBytes().isEmpty()) {
      com.google.protobuf.GeneratedMessage.writeString(output, 7, responseExchangeName_);
    }
    if (!getResponseRoutingKeyBytes().isEmpty()) {
      com.google.protobuf.GeneratedMessage.writeString(output, 8, responseRoutingKey_);
    }
    if (operationType_ != com.accelfin.server.messaging.dtos.OperationTypeDto.RPC.getNumber()) {
      output.writeEnum(9, operationType_);
    }
    if (isAvailable_ != false) {
      output.writeBool(10, isAvailable_);
    }
  }

  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (!getServiceTypeBytes().isEmpty()) {
      size += com.google.protobuf.GeneratedMessage.computeStringSize(1, serviceType_);
    }
    if (!getOperationNameBytes().isEmpty()) {
      size += com.google.protobuf.GeneratedMessage.computeStringSize(2, operationName_);
    }
    if (!getServiceIdBytes().isEmpty()) {
      size += com.google.protobuf.GeneratedMessage.computeStringSize(3, serviceId_);
    }
    if (requiresAuthentication_ != false) {
      size += com.google.protobuf.CodedOutputStream
        .computeBoolSize(4, requiresAuthentication_);
    }
    if (!getRequestExchangeNameBytes().isEmpty()) {
      size += com.google.protobuf.GeneratedMessage.computeStringSize(5, requestExchangeName_);
    }
    if (!getRequestRoutingKeyBytes().isEmpty()) {
      size += com.google.protobuf.GeneratedMessage.computeStringSize(6, requestRoutingKey_);
    }
    if (!getResponseExchangeNameBytes().isEmpty()) {
      size += com.google.protobuf.GeneratedMessage.computeStringSize(7, responseExchangeName_);
    }
    if (!getResponseRoutingKeyBytes().isEmpty()) {
      size += com.google.protobuf.GeneratedMessage.computeStringSize(8, responseRoutingKey_);
    }
    if (operationType_ != com.accelfin.server.messaging.dtos.OperationTypeDto.RPC.getNumber()) {
      size += com.google.protobuf.CodedOutputStream
        .computeEnumSize(9, operationType_);
    }
    if (isAvailable_ != false) {
      size += com.google.protobuf.CodedOutputStream
        .computeBoolSize(10, isAvailable_);
    }
    memoizedSize = size;
    return size;
  }

  private static final long serialVersionUID = 0L;
  public static com.accelfin.server.messaging.dtos.OperationConfigDto parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static com.accelfin.server.messaging.dtos.OperationConfigDto parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static com.accelfin.server.messaging.dtos.OperationConfigDto parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static com.accelfin.server.messaging.dtos.OperationConfigDto parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static com.accelfin.server.messaging.dtos.OperationConfigDto parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input);
  }
  public static com.accelfin.server.messaging.dtos.OperationConfigDto parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static com.accelfin.server.messaging.dtos.OperationConfigDto parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static com.accelfin.server.messaging.dtos.OperationConfigDto parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static com.accelfin.server.messaging.dtos.OperationConfigDto parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input);
  }
  public static com.accelfin.server.messaging.dtos.OperationConfigDto parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(com.accelfin.server.messaging.dtos.OperationConfigDto prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessage.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * Protobuf type {@code com.accelfin.server.messaging.dtos.OperationConfigDto}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessage.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:com.accelfin.server.messaging.dtos.OperationConfigDto)
      com.accelfin.server.messaging.dtos.OperationConfigDtoOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return com.accelfin.server.messaging.dtos.AccelfinServerDtos.internal_static_com_accelfin_server_messaging_dtos_OperationConfigDto_descriptor;
    }

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return com.accelfin.server.messaging.dtos.AccelfinServerDtos.internal_static_com_accelfin_server_messaging_dtos_OperationConfigDto_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              com.accelfin.server.messaging.dtos.OperationConfigDto.class, com.accelfin.server.messaging.dtos.OperationConfigDto.Builder.class);
    }

    // Construct using com.accelfin.server.messaging.dtos.OperationConfigDto.newBuilder()
    private Builder() {
      maybeForceBuilderInitialization();
    }

    private Builder(
        com.google.protobuf.GeneratedMessage.BuilderParent parent) {
      super(parent);
      maybeForceBuilderInitialization();
    }
    private void maybeForceBuilderInitialization() {
      if (com.google.protobuf.GeneratedMessage.alwaysUseFieldBuilders) {
      }
    }
    public Builder clear() {
      super.clear();
      serviceType_ = "";

      operationName_ = "";

      serviceId_ = "";

      requiresAuthentication_ = false;

      requestExchangeName_ = "";

      requestRoutingKey_ = "";

      responseExchangeName_ = "";

      responseRoutingKey_ = "";

      operationType_ = 0;

      isAvailable_ = false;

      return this;
    }

    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return com.accelfin.server.messaging.dtos.AccelfinServerDtos.internal_static_com_accelfin_server_messaging_dtos_OperationConfigDto_descriptor;
    }

    public com.accelfin.server.messaging.dtos.OperationConfigDto getDefaultInstanceForType() {
      return com.accelfin.server.messaging.dtos.OperationConfigDto.getDefaultInstance();
    }

    public com.accelfin.server.messaging.dtos.OperationConfigDto build() {
      com.accelfin.server.messaging.dtos.OperationConfigDto result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    public com.accelfin.server.messaging.dtos.OperationConfigDto buildPartial() {
      com.accelfin.server.messaging.dtos.OperationConfigDto result = new com.accelfin.server.messaging.dtos.OperationConfigDto(this);
      result.serviceType_ = serviceType_;
      result.operationName_ = operationName_;
      result.serviceId_ = serviceId_;
      result.requiresAuthentication_ = requiresAuthentication_;
      result.requestExchangeName_ = requestExchangeName_;
      result.requestRoutingKey_ = requestRoutingKey_;
      result.responseExchangeName_ = responseExchangeName_;
      result.responseRoutingKey_ = responseRoutingKey_;
      result.operationType_ = operationType_;
      result.isAvailable_ = isAvailable_;
      onBuilt();
      return result;
    }

    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof com.accelfin.server.messaging.dtos.OperationConfigDto) {
        return mergeFrom((com.accelfin.server.messaging.dtos.OperationConfigDto)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(com.accelfin.server.messaging.dtos.OperationConfigDto other) {
      if (other == com.accelfin.server.messaging.dtos.OperationConfigDto.getDefaultInstance()) return this;
      if (!other.getServiceType().isEmpty()) {
        serviceType_ = other.serviceType_;
        onChanged();
      }
      if (!other.getOperationName().isEmpty()) {
        operationName_ = other.operationName_;
        onChanged();
      }
      if (!other.getServiceId().isEmpty()) {
        serviceId_ = other.serviceId_;
        onChanged();
      }
      if (other.getRequiresAuthentication() != false) {
        setRequiresAuthentication(other.getRequiresAuthentication());
      }
      if (!other.getRequestExchangeName().isEmpty()) {
        requestExchangeName_ = other.requestExchangeName_;
        onChanged();
      }
      if (!other.getRequestRoutingKey().isEmpty()) {
        requestRoutingKey_ = other.requestRoutingKey_;
        onChanged();
      }
      if (!other.getResponseExchangeName().isEmpty()) {
        responseExchangeName_ = other.responseExchangeName_;
        onChanged();
      }
      if (!other.getResponseRoutingKey().isEmpty()) {
        responseRoutingKey_ = other.responseRoutingKey_;
        onChanged();
      }
      if (other.operationType_ != 0) {
        setOperationTypeValue(other.getOperationTypeValue());
      }
      if (other.getIsAvailable() != false) {
        setIsAvailable(other.getIsAvailable());
      }
      onChanged();
      return this;
    }

    public final boolean isInitialized() {
      return true;
    }

    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      com.accelfin.server.messaging.dtos.OperationConfigDto parsedMessage = null;
      try {
        parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        parsedMessage = (com.accelfin.server.messaging.dtos.OperationConfigDto) e.getUnfinishedMessage();
        throw e.unwrapIOException();
      } finally {
        if (parsedMessage != null) {
          mergeFrom(parsedMessage);
        }
      }
      return this;
    }

    private java.lang.Object serviceType_ = "";
    /**
     * <code>optional string service_type = 1;</code>
     */
    public java.lang.String getServiceType() {
      java.lang.Object ref = serviceType_;
      if (!(ref instanceof java.lang.String)) {
        com.google.protobuf.ByteString bs =
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        serviceType_ = s;
        return s;
      } else {
        return (java.lang.String) ref;
      }
    }
    /**
     * <code>optional string service_type = 1;</code>
     */
    public com.google.protobuf.ByteString
        getServiceTypeBytes() {
      java.lang.Object ref = serviceType_;
      if (ref instanceof String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        serviceType_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }
    /**
     * <code>optional string service_type = 1;</code>
     */
    public Builder setServiceType(
        java.lang.String value) {
      if (value == null) {
    throw new NullPointerException();
  }
  
      serviceType_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>optional string service_type = 1;</code>
     */
    public Builder clearServiceType() {
      
      serviceType_ = getDefaultInstance().getServiceType();
      onChanged();
      return this;
    }
    /**
     * <code>optional string service_type = 1;</code>
     */
    public Builder setServiceTypeBytes(
        com.google.protobuf.ByteString value) {
      if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
      
      serviceType_ = value;
      onChanged();
      return this;
    }

    private java.lang.Object operationName_ = "";
    /**
     * <code>optional string operation_name = 2;</code>
     */
    public java.lang.String getOperationName() {
      java.lang.Object ref = operationName_;
      if (!(ref instanceof java.lang.String)) {
        com.google.protobuf.ByteString bs =
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        operationName_ = s;
        return s;
      } else {
        return (java.lang.String) ref;
      }
    }
    /**
     * <code>optional string operation_name = 2;</code>
     */
    public com.google.protobuf.ByteString
        getOperationNameBytes() {
      java.lang.Object ref = operationName_;
      if (ref instanceof String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        operationName_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }
    /**
     * <code>optional string operation_name = 2;</code>
     */
    public Builder setOperationName(
        java.lang.String value) {
      if (value == null) {
    throw new NullPointerException();
  }
  
      operationName_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>optional string operation_name = 2;</code>
     */
    public Builder clearOperationName() {
      
      operationName_ = getDefaultInstance().getOperationName();
      onChanged();
      return this;
    }
    /**
     * <code>optional string operation_name = 2;</code>
     */
    public Builder setOperationNameBytes(
        com.google.protobuf.ByteString value) {
      if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
      
      operationName_ = value;
      onChanged();
      return this;
    }

    private java.lang.Object serviceId_ = "";
    /**
     * <code>optional string service_id = 3;</code>
     */
    public java.lang.String getServiceId() {
      java.lang.Object ref = serviceId_;
      if (!(ref instanceof java.lang.String)) {
        com.google.protobuf.ByteString bs =
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        serviceId_ = s;
        return s;
      } else {
        return (java.lang.String) ref;
      }
    }
    /**
     * <code>optional string service_id = 3;</code>
     */
    public com.google.protobuf.ByteString
        getServiceIdBytes() {
      java.lang.Object ref = serviceId_;
      if (ref instanceof String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        serviceId_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }
    /**
     * <code>optional string service_id = 3;</code>
     */
    public Builder setServiceId(
        java.lang.String value) {
      if (value == null) {
    throw new NullPointerException();
  }
  
      serviceId_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>optional string service_id = 3;</code>
     */
    public Builder clearServiceId() {
      
      serviceId_ = getDefaultInstance().getServiceId();
      onChanged();
      return this;
    }
    /**
     * <code>optional string service_id = 3;</code>
     */
    public Builder setServiceIdBytes(
        com.google.protobuf.ByteString value) {
      if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
      
      serviceId_ = value;
      onChanged();
      return this;
    }

    private boolean requiresAuthentication_ ;
    /**
     * <code>optional bool requires_authentication = 4;</code>
     */
    public boolean getRequiresAuthentication() {
      return requiresAuthentication_;
    }
    /**
     * <code>optional bool requires_authentication = 4;</code>
     */
    public Builder setRequiresAuthentication(boolean value) {
      
      requiresAuthentication_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>optional bool requires_authentication = 4;</code>
     */
    public Builder clearRequiresAuthentication() {
      
      requiresAuthentication_ = false;
      onChanged();
      return this;
    }

    private java.lang.Object requestExchangeName_ = "";
    /**
     * <code>optional string request_exchange_name = 5;</code>
     */
    public java.lang.String getRequestExchangeName() {
      java.lang.Object ref = requestExchangeName_;
      if (!(ref instanceof java.lang.String)) {
        com.google.protobuf.ByteString bs =
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        requestExchangeName_ = s;
        return s;
      } else {
        return (java.lang.String) ref;
      }
    }
    /**
     * <code>optional string request_exchange_name = 5;</code>
     */
    public com.google.protobuf.ByteString
        getRequestExchangeNameBytes() {
      java.lang.Object ref = requestExchangeName_;
      if (ref instanceof String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        requestExchangeName_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }
    /**
     * <code>optional string request_exchange_name = 5;</code>
     */
    public Builder setRequestExchangeName(
        java.lang.String value) {
      if (value == null) {
    throw new NullPointerException();
  }
  
      requestExchangeName_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>optional string request_exchange_name = 5;</code>
     */
    public Builder clearRequestExchangeName() {
      
      requestExchangeName_ = getDefaultInstance().getRequestExchangeName();
      onChanged();
      return this;
    }
    /**
     * <code>optional string request_exchange_name = 5;</code>
     */
    public Builder setRequestExchangeNameBytes(
        com.google.protobuf.ByteString value) {
      if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
      
      requestExchangeName_ = value;
      onChanged();
      return this;
    }

    private java.lang.Object requestRoutingKey_ = "";
    /**
     * <code>optional string request_routing_key = 6;</code>
     */
    public java.lang.String getRequestRoutingKey() {
      java.lang.Object ref = requestRoutingKey_;
      if (!(ref instanceof java.lang.String)) {
        com.google.protobuf.ByteString bs =
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        requestRoutingKey_ = s;
        return s;
      } else {
        return (java.lang.String) ref;
      }
    }
    /**
     * <code>optional string request_routing_key = 6;</code>
     */
    public com.google.protobuf.ByteString
        getRequestRoutingKeyBytes() {
      java.lang.Object ref = requestRoutingKey_;
      if (ref instanceof String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        requestRoutingKey_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }
    /**
     * <code>optional string request_routing_key = 6;</code>
     */
    public Builder setRequestRoutingKey(
        java.lang.String value) {
      if (value == null) {
    throw new NullPointerException();
  }
  
      requestRoutingKey_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>optional string request_routing_key = 6;</code>
     */
    public Builder clearRequestRoutingKey() {
      
      requestRoutingKey_ = getDefaultInstance().getRequestRoutingKey();
      onChanged();
      return this;
    }
    /**
     * <code>optional string request_routing_key = 6;</code>
     */
    public Builder setRequestRoutingKeyBytes(
        com.google.protobuf.ByteString value) {
      if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
      
      requestRoutingKey_ = value;
      onChanged();
      return this;
    }

    private java.lang.Object responseExchangeName_ = "";
    /**
     * <code>optional string response_exchange_name = 7;</code>
     */
    public java.lang.String getResponseExchangeName() {
      java.lang.Object ref = responseExchangeName_;
      if (!(ref instanceof java.lang.String)) {
        com.google.protobuf.ByteString bs =
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        responseExchangeName_ = s;
        return s;
      } else {
        return (java.lang.String) ref;
      }
    }
    /**
     * <code>optional string response_exchange_name = 7;</code>
     */
    public com.google.protobuf.ByteString
        getResponseExchangeNameBytes() {
      java.lang.Object ref = responseExchangeName_;
      if (ref instanceof String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        responseExchangeName_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }
    /**
     * <code>optional string response_exchange_name = 7;</code>
     */
    public Builder setResponseExchangeName(
        java.lang.String value) {
      if (value == null) {
    throw new NullPointerException();
  }
  
      responseExchangeName_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>optional string response_exchange_name = 7;</code>
     */
    public Builder clearResponseExchangeName() {
      
      responseExchangeName_ = getDefaultInstance().getResponseExchangeName();
      onChanged();
      return this;
    }
    /**
     * <code>optional string response_exchange_name = 7;</code>
     */
    public Builder setResponseExchangeNameBytes(
        com.google.protobuf.ByteString value) {
      if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
      
      responseExchangeName_ = value;
      onChanged();
      return this;
    }

    private java.lang.Object responseRoutingKey_ = "";
    /**
     * <code>optional string response_routing_key = 8;</code>
     */
    public java.lang.String getResponseRoutingKey() {
      java.lang.Object ref = responseRoutingKey_;
      if (!(ref instanceof java.lang.String)) {
        com.google.protobuf.ByteString bs =
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        responseRoutingKey_ = s;
        return s;
      } else {
        return (java.lang.String) ref;
      }
    }
    /**
     * <code>optional string response_routing_key = 8;</code>
     */
    public com.google.protobuf.ByteString
        getResponseRoutingKeyBytes() {
      java.lang.Object ref = responseRoutingKey_;
      if (ref instanceof String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        responseRoutingKey_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }
    /**
     * <code>optional string response_routing_key = 8;</code>
     */
    public Builder setResponseRoutingKey(
        java.lang.String value) {
      if (value == null) {
    throw new NullPointerException();
  }
  
      responseRoutingKey_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>optional string response_routing_key = 8;</code>
     */
    public Builder clearResponseRoutingKey() {
      
      responseRoutingKey_ = getDefaultInstance().getResponseRoutingKey();
      onChanged();
      return this;
    }
    /**
     * <code>optional string response_routing_key = 8;</code>
     */
    public Builder setResponseRoutingKeyBytes(
        com.google.protobuf.ByteString value) {
      if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
      
      responseRoutingKey_ = value;
      onChanged();
      return this;
    }

    private int operationType_ = 0;
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.OperationTypeDto operation_type = 9;</code>
     */
    public int getOperationTypeValue() {
      return operationType_;
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.OperationTypeDto operation_type = 9;</code>
     */
    public Builder setOperationTypeValue(int value) {
      operationType_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.OperationTypeDto operation_type = 9;</code>
     */
    public com.accelfin.server.messaging.dtos.OperationTypeDto getOperationType() {
      com.accelfin.server.messaging.dtos.OperationTypeDto result = com.accelfin.server.messaging.dtos.OperationTypeDto.forNumber(operationType_);
      return result == null ? com.accelfin.server.messaging.dtos.OperationTypeDto.UNRECOGNIZED : result;
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.OperationTypeDto operation_type = 9;</code>
     */
    public Builder setOperationType(com.accelfin.server.messaging.dtos.OperationTypeDto value) {
      if (value == null) {
        throw new NullPointerException();
      }
      
      operationType_ = value.getNumber();
      onChanged();
      return this;
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.OperationTypeDto operation_type = 9;</code>
     */
    public Builder clearOperationType() {
      
      operationType_ = 0;
      onChanged();
      return this;
    }

    private boolean isAvailable_ ;
    /**
     * <code>optional bool is_available = 10;</code>
     */
    public boolean getIsAvailable() {
      return isAvailable_;
    }
    /**
     * <code>optional bool is_available = 10;</code>
     */
    public Builder setIsAvailable(boolean value) {
      
      isAvailable_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>optional bool is_available = 10;</code>
     */
    public Builder clearIsAvailable() {
      
      isAvailable_ = false;
      onChanged();
      return this;
    }
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return this;
    }

    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return this;
    }


    // @@protoc_insertion_point(builder_scope:com.accelfin.server.messaging.dtos.OperationConfigDto)
  }

  // @@protoc_insertion_point(class_scope:com.accelfin.server.messaging.dtos.OperationConfigDto)
  private static final com.accelfin.server.messaging.dtos.OperationConfigDto DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new com.accelfin.server.messaging.dtos.OperationConfigDto();
  }

  public static com.accelfin.server.messaging.dtos.OperationConfigDto getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<OperationConfigDto>
      PARSER = new com.google.protobuf.AbstractParser<OperationConfigDto>() {
    public OperationConfigDto parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
        return new OperationConfigDto(input, extensionRegistry);
    }
  };

  public static com.google.protobuf.Parser<OperationConfigDto> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<OperationConfigDto> getParserForType() {
    return PARSER;
  }

  public com.accelfin.server.messaging.dtos.OperationConfigDto getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

